Public Member Functions | List of all members
libebook::FB2Content Class Referenceabstract

Represents a part of FB2 content. More...

`#include <FB2Content.h>`

Inheritance diagram for libebook::FB2Content:

## Public Member Functions
virtual | ~FB2Content ()=0
virtual void | unfold (FB2Collector &collector) const =0
| Insert the content of this into `collector`. More...

## Detailed Description

Represents a part of FB2 content.

This is used to save note texts and images, collected in the first pass, for use in the second pass.

See also
  FB2ContentMap

## Constructor & Destructor Documentation

## § ~FB2Content()

libebook::FB2Content::~FB2Content | ( |  | ) |
| pure virtual

## Member Function Documentation

## § unfold()

virtual void libebook::FB2Content::unfold | ( | FB2Collector & | collector | ) | const
| pure virtual

Insert the content of this into `collector`.

Implemented in libebook::GroupContent.

Referenced by libebook::FB2ContentCollector::insertBitmap(), and libebook::FB2ContentCollector::insertFootnote().

The documentation for this class was generated from the following files:

- FB2Content.h
- FB2Content.cpp